# Maintainer: Rafael <rafael@rebornos.org>

pkgname=rebornos-grub2-theme
_pkgname=rebornos-grub2-theme-code
pkgver=20210531
pkgrel=1
pkgdesc="RebornOS Grub2 theme."
url="https://gitlab.com/rebornos-team/rebornos-special-system-files/grub2/code/rebornos-grub2-theme-code"
arch=('any')
license=('GPLv3')
depends=('git' 'sed')
install=${pkgname}.install
source=("git+${url}")
md5sums=('SKIP')

pkgver() {
    date +%Y%m%d
}

package() {
    install -d ${pkgdir}/boot/grub/themes/RebornOS
    cp -r ${srcdir}/${_pkgname}/${pkgname}/* ${pkgdir}/boot/grub/themes/RebornOS
    find ${pkgdir}/boot/grub/themes/RebornOS -type f -exec chmod 644 {} \;
    find ${pkgdir}/boot/grub/themes/RebornOS -type d -exec chmod 755 {} \;
    }

